Bug 197234 - depmod AVC evilness
Summary: depmod AVC evilness
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-29 15:10 UTC by Jack Neely
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 18:28:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2006-06-29 15:10:54 UTC
Description of problem:
While testing a kernel module package using the fedora kernel module packaging
guidelines I had the following error installing the package:

# rpm -ihv kmod-openafs-1.4.1-5.2.6.16_1.2289_FC6.i686.rpm
Preparing...                ########################################### [100%]
   1:kmod-openafs           ########################################### [100%]
FATAL: Could not rename /lib/modules/2.6.16-1.2289_FC6/modules.pcimap.temp into
/lib/modules/2.6.16-1.2289_FC6/modules.pcimap: Permission denied


audit(1151343427.189:42): avc:  denied  { use } for  pid=28746 comm="mcstransd"
name="null" dev=tmpfs ino=4189 scontext=user_u:system_r:setrans_t:s0
tcontext=user_u:system_r:rpm_script_t:s0 tclass=fd
audit(1151343427.189:43): avc:  denied  { use } for  pid=28746 comm="mcstransd"
name="null" dev=tmpfs ino=4189 scontext=user_u:system_r:setrans_t:s0
tcontext=user_u:system_r:rpm_script_t:s0 tclass=fd
audit(1151594029.050:44): avc:  denied  { unlink } for  pid=22427 comm="depmod"
name="modules.dep" dev=dm-0 ino=10780850 scontext=user_u:system_r:depmod_t:s0
tcontext=user_u:object_r:modules_object_t:s0 tclass=file

This is preventing depmod from working propperly.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.1-1

Comment 1 Daniel Walsh 2006-07-11 18:28:33 UTC
The problem here is a labeling problem

modules.dep should be labeled modules_dep_t not modules_object_t.

restorecon -R -v /lib/modules




Note You need to log in before you can comment on or make changes to this bug.